1# Makefile.in generated by automake 1.14 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16VPATH = @srcdir@
17am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18am__make_running_with_option = \
19  case $${target_option-} in \
20      ?) ;; \
21      *) echo "am__make_running_with_option: internal error: invalid" \
22              "target option '$${target_option-}' specified" >&2; \
23         exit 1;; \
24  esac; \
25  has_opt=no; \
26  sane_makeflags=$$MAKEFLAGS; \
27  if $(am__is_gnu_make); then \
28    sane_makeflags=$$MFLAGS; \
29  else \
30    case $$MAKEFLAGS in \
31      *\\[\ \	]*) \
32        bs=\\; \
33        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
35    esac; \
36  fi; \
37  skip_next=no; \
38  strip_trailopt () \
39  { \
40    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41  }; \
42  for flg in $$sane_makeflags; do \
43    test $$skip_next = yes && { skip_next=no; continue; }; \
44    case $$flg in \
45      *=*|--*) continue;; \
46        -*I) strip_trailopt 'I'; skip_next=yes;; \
47      -*I?*) strip_trailopt 'I';; \
48        -*O) strip_trailopt 'O'; skip_next=yes;; \
49      -*O?*) strip_trailopt 'O';; \
50        -*l) strip_trailopt 'l'; skip_next=yes;; \
51      -*l?*) strip_trailopt 'l';; \
52      -[dEDm]) skip_next=yes;; \
53      -[JT]) skip_next=yes;; \
54    esac; \
55    case $$flg in \
56      *$$target_option*) has_opt=yes; break;; \
57    esac; \
58  done; \
59  test $$has_opt = yes
60am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62pkgdatadir = $(datadir)/@PACKAGE@
63pkgincludedir = $(includedir)/@PACKAGE@
64pkglibdir = $(libdir)/@PACKAGE@
65pkglibexecdir = $(libexecdir)/@PACKAGE@
66am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67install_sh_DATA = $(install_sh) -c -m 644
68install_sh_PROGRAM = $(install_sh) -c
69install_sh_SCRIPT = $(install_sh) -c
70INSTALL_HEADER = $(INSTALL_DATA)
71transform = $(program_transform_name)
72NORMAL_INSTALL = :
73PRE_INSTALL = :
74POST_INSTALL = :
75NORMAL_UNINSTALL = :
76PRE_UNINSTALL = :
77POST_UNINSTALL = :
78build_triplet = @build@
79host_triplet = @host@
80@GIMPACT_TRUE@am__append_1 = -DdTRIMESH_ENABLED -DdTRIMESH_GIMPACT
81@OPCODE_TRUE@am__append_2 = -DdTRIMESH_ENABLED -DdTRIMESH_OPCODE
82check_PROGRAMS = tests$(EXEEXT)
83TESTS = tests$(EXEEXT)
84subdir = tests
85DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
86	$(top_srcdir)/depcomp $(top_srcdir)/test-driver
87ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
88am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
89	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
90	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
91	$(top_srcdir)/m4/pkg.m4 $(top_srcdir)/configure.ac
92am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
93	$(ACLOCAL_M4)
94mkinstalldirs = $(install_sh) -d
95CONFIG_HEADER = $(top_builddir)/ode/src/config.h
96CONFIG_CLEAN_FILES =
97CONFIG_CLEAN_VPATH_FILES =
98am_tests_OBJECTS = collision.$(OBJEXT) friction.$(OBJEXT) \
99	joint.$(OBJEXT) main.$(OBJEXT) odemath.$(OBJEXT)
100tests_OBJECTS = $(am_tests_OBJECTS)
101tests_DEPENDENCIES = $(top_builddir)/ode/src/libode.la \
102	joints/libjoints.la UnitTest++/src/libunittestpp.la
103AM_V_lt = $(am__v_lt_@AM_V@)
104am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
105am__v_lt_0 = --silent
106am__v_lt_1 =
107AM_V_P = $(am__v_P_@AM_V@)
108am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
109am__v_P_0 = false
110am__v_P_1 = :
111AM_V_GEN = $(am__v_GEN_@AM_V@)
112am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
113am__v_GEN_0 = @echo "  GEN     " $@;
114am__v_GEN_1 =
115AM_V_at = $(am__v_at_@AM_V@)
116am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
117am__v_at_0 = @
118am__v_at_1 =
119DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/ode/src -I$(top_builddir)/include
120depcomp = $(SHELL) $(top_srcdir)/depcomp
121am__depfiles_maybe = depfiles
122am__mv = mv -f
123CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
124	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
125LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
126	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
127	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
128	$(AM_CXXFLAGS) $(CXXFLAGS)
129AM_V_CXX = $(am__v_CXX_@AM_V@)
130am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
131am__v_CXX_0 = @echo "  CXX     " $@;
132am__v_CXX_1 =
133CXXLD = $(CXX)
134CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
135	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
136	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
137AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
138am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
139am__v_CXXLD_0 = @echo "  CXXLD   " $@;
140am__v_CXXLD_1 =
141SOURCES = $(tests_SOURCES)
142DIST_SOURCES = $(tests_SOURCES)
143RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
144	ctags-recursive dvi-recursive html-recursive info-recursive \
145	install-data-recursive install-dvi-recursive \
146	install-exec-recursive install-html-recursive \
147	install-info-recursive install-pdf-recursive \
148	install-ps-recursive install-recursive installcheck-recursive \
149	installdirs-recursive pdf-recursive ps-recursive \
150	tags-recursive uninstall-recursive
151am__can_run_installinfo = \
152  case $$AM_UPDATE_INFO_DIR in \
153    n|no|NO) false;; \
154    *) (install-info --version) >/dev/null 2>&1;; \
155  esac
156RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
157  distclean-recursive maintainer-clean-recursive
158am__recursive_targets = \
159  $(RECURSIVE_TARGETS) \
160  $(RECURSIVE_CLEAN_TARGETS) \
161  $(am__extra_recursive_targets)
162AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
163	check recheck distdir
164am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
165# Read a list of newline-separated strings from the standard input,
166# and print each of them once, without duplicates.  Input order is
167# *not* preserved.
168am__uniquify_input = $(AWK) '\
169  BEGIN { nonempty = 0; } \
170  { items[$$0] = 1; nonempty = 1; } \
171  END { if (nonempty) { for (i in items) print i; }; } \
172'
173# Make sure the list of sources is unique.  This is necessary because,
174# e.g., the same source file might be shared among _SOURCES variables
175# for different programs/libraries.
176am__define_uniq_tagged_files = \
177  list='$(am__tagged_files)'; \
178  unique=`for i in $$list; do \
179    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
180  done | $(am__uniquify_input)`
181ETAGS = etags
182CTAGS = ctags
183am__tty_colors_dummy = \
184  mgn= red= grn= lgn= blu= brg= std=; \
185  am__color_tests=no
186am__tty_colors = { \
187  $(am__tty_colors_dummy); \
188  if test "X$(AM_COLOR_TESTS)" = Xno; then \
189    am__color_tests=no; \
190  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
191    am__color_tests=yes; \
192  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
193    am__color_tests=yes; \
194  fi; \
195  if test $$am__color_tests = yes; then \
196    red=''; \
197    grn=''; \
198    lgn=''; \
199    blu=''; \
200    mgn=''; \
201    brg=''; \
202    std=''; \
203  fi; \
204}
205am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
206am__vpath_adj = case $$p in \
207    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
208    *) f=$$p;; \
209  esac;
210am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
211am__install_max = 40
212am__nobase_strip_setup = \
213  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
214am__nobase_strip = \
215  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
216am__nobase_list = $(am__nobase_strip_setup); \
217  for p in $$list; do echo "$$p $$p"; done | \
218  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
219  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
220    if (++n[$$2] == $(am__install_max)) \
221      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
222    END { for (dir in files) print dir, files[dir] }'
223am__base_list = \
224  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
225  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
226am__uninstall_files_from_dir = { \
227  test -z "$$files" \
228    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
229    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
230         $(am__cd) "$$dir" && rm -f $$files; }; \
231  }
232am__recheck_rx = ^[ 	]*:recheck:[ 	]*
233am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
234am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
235# A command that, given a newline-separated list of test names on the
236# standard input, print the name of the tests that are to be re-run
237# upon "make recheck".
238am__list_recheck_tests = $(AWK) '{ \
239  recheck = 1; \
240  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
241    { \
242      if (rc < 0) \
243        { \
244          if ((getline line2 < ($$0 ".log")) < 0) \
245	    recheck = 0; \
246          break; \
247        } \
248      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
249        { \
250          recheck = 0; \
251          break; \
252        } \
253      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
254        { \
255          break; \
256        } \
257    }; \
258  if (recheck) \
259    print $$0; \
260  close ($$0 ".trs"); \
261  close ($$0 ".log"); \
262}'
263# A command that, given a newline-separated list of test names on the
264# standard input, create the global log from their .trs and .log files.
265am__create_global_log = $(AWK) ' \
266function fatal(msg) \
267{ \
268  print "fatal: making $@: " msg | "cat >&2"; \
269  exit 1; \
270} \
271function rst_section(header) \
272{ \
273  print header; \
274  len = length(header); \
275  for (i = 1; i <= len; i = i + 1) \
276    printf "="; \
277  printf "\n\n"; \
278} \
279{ \
280  copy_in_global_log = 1; \
281  global_test_result = "RUN"; \
282  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
283    { \
284      if (rc < 0) \
285         fatal("failed to read from " $$0 ".trs"); \
286      if (line ~ /$(am__global_test_result_rx)/) \
287        { \
288          sub("$(am__global_test_result_rx)", "", line); \
289          sub("[ 	]*$$", "", line); \
290          global_test_result = line; \
291        } \
292      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
293        copy_in_global_log = 0; \
294    }; \
295  if (copy_in_global_log) \
296    { \
297      rst_section(global_test_result ": " $$0); \
298      while ((rc = (getline line < ($$0 ".log"))) != 0) \
299      { \
300        if (rc < 0) \
301          fatal("failed to read from " $$0 ".log"); \
302        print line; \
303      }; \
304      printf "\n"; \
305    }; \
306  close ($$0 ".trs"); \
307  close ($$0 ".log"); \
308}'
309# Restructured Text title.
310am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
311# Solaris 10 'make', and several other traditional 'make' implementations,
312# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
313# by disabling -e (using the XSI extension "set +e") if it's set.
314am__sh_e_setup = case $$- in *e*) set +e;; esac
315# Default flags passed to test drivers.
316am__common_driver_flags = \
317  --color-tests "$$am__color_tests" \
318  --enable-hard-errors "$$am__enable_hard_errors" \
319  --expect-failure "$$am__expect_failure"
320# To be inserted before the command running the test.  Creates the
321# directory for the log if needed.  Stores in $dir the directory
322# containing $f, in $tst the test, in $log the log.  Executes the
323# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
324# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
325# will run the test scripts (or their associated LOG_COMPILER, if
326# thy have one).
327am__check_pre = \
328$(am__sh_e_setup);					\
329$(am__vpath_adj_setup) $(am__vpath_adj)			\
330$(am__tty_colors);					\
331srcdir=$(srcdir); export srcdir;			\
332case "$@" in						\
333  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
334    *) am__odir=.;; 					\
335esac;							\
336test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
337  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
338if test -f "./$$f"; then dir=./;			\
339elif test -f "$$f"; then dir=;				\
340else dir="$(srcdir)/"; fi;				\
341tst=$$dir$$f; log='$@'; 				\
342if test -n '$(DISABLE_HARD_ERRORS)'; then		\
343  am__enable_hard_errors=no; 				\
344else							\
345  am__enable_hard_errors=yes; 				\
346fi; 							\
347case " $(XFAIL_TESTS) " in				\
348  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
349    am__expect_failure=yes;;				\
350  *)							\
351    am__expect_failure=no;;				\
352esac; 							\
353$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
354# A shell command to get the names of the tests scripts with any registered
355# extension removed (i.e., equivalently, the names of the test logs, with
356# the '.log' extension removed).  The result is saved in the shell variable
357# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
358# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
359# since that might cause problem with VPATH rewrites for suffix-less tests.
360# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
361am__set_TESTS_bases = \
362  bases='$(TEST_LOGS)'; \
363  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
364  bases=`echo $$bases`
365RECHECK_LOGS = $(TEST_LOGS)
366TEST_SUITE_LOG = test-suite.log
367TEST_EXTENSIONS = @EXEEXT@ .test
368LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
369LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
370am__set_b = \
371  case '$@' in \
372    */*) \
373      case '$*' in \
374        */*) b='$*';; \
375          *) b=`echo '$@' | sed 's/\.log$$//'`; \
376       esac;; \
377    *) \
378      b='$*';; \
379  esac
380am__test_logs1 = $(TESTS:=.log)
381am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
382TEST_LOGS = $(am__test_logs2:.test.log=.log)
383TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
384TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
385	$(TEST_LOG_FLAGS)
386DIST_SUBDIRS = $(SUBDIRS)
387DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
388am__relativize = \
389  dir0=`pwd`; \
390  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
391  sed_rest='s,^[^/]*/*,,'; \
392  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
393  sed_butlast='s,/*[^/]*$$,,'; \
394  while test -n "$$dir1"; do \
395    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
396    if test "$$first" != "."; then \
397      if test "$$first" = ".."; then \
398        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
399        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
400      else \
401        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
402        if test "$$first2" = "$$first"; then \
403          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
404        else \
405          dir2="../$$dir2"; \
406        fi; \
407        dir0="$$dir0"/"$$first"; \
408      fi; \
409    fi; \
410    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
411  done; \
412  reldir="$$dir2"
413ACLOCAL = @ACLOCAL@
414ALLOCA = @ALLOCA@
415AMTAR = @AMTAR@
416AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
417AR = @AR@
418AS = @AS@
419AUTOCONF = @AUTOCONF@
420AUTOHEADER = @AUTOHEADER@
421AUTOMAKE = @AUTOMAKE@
422AWK = @AWK@
423CC = @CC@
424CCDEPMODE = @CCDEPMODE@
425CFLAGS = @CFLAGS@
426CPP = @CPP@
427CPPFLAGS = @CPPFLAGS@
428CXX = @CXX@
429CXXCPP = @CXXCPP@
430CXXDEPMODE = @CXXDEPMODE@
431CXXFLAGS = @CXXFLAGS@
432CYGPATH_W = @CYGPATH_W@
433DEFS = @DEFS@
434DEPDIR = @DEPDIR@
435DLLTOOL = @DLLTOOL@
436DSYMUTIL = @DSYMUTIL@
437DUMPBIN = @DUMPBIN@
438ECHO_C = @ECHO_C@
439ECHO_N = @ECHO_N@
440ECHO_T = @ECHO_T@
441EGREP = @EGREP@
442EXEEXT = @EXEEXT@
443EXTRA_LIBTOOL_LDFLAGS = @EXTRA_LIBTOOL_LDFLAGS@
444FGREP = @FGREP@
445GL_LIBS = @GL_LIBS@
446GREP = @GREP@
447INSTALL = @INSTALL@
448INSTALL_DATA = @INSTALL_DATA@
449INSTALL_PROGRAM = @INSTALL_PROGRAM@
450INSTALL_SCRIPT = @INSTALL_SCRIPT@
451INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
452LD = @LD@
453LDFLAGS = @LDFLAGS@
454LIBOBJS = @LIBOBJS@
455LIBS = @LIBS@
456LIBSTDCXX = @LIBSTDCXX@
457LIBTOOL = @LIBTOOL@
458LIPO = @LIPO@
459LN_S = @LN_S@
460LTLIBOBJS = @LTLIBOBJS@
461MAKEINFO = @MAKEINFO@
462MANIFEST_TOOL = @MANIFEST_TOOL@
463MKDIR_P = @MKDIR_P@
464NM = @NM@
465NMEDIT = @NMEDIT@
466OBJDUMP = @OBJDUMP@
467OBJEXT = @OBJEXT@
468ODE_PRECISION = @ODE_PRECISION@
469ODE_VERSION = @ODE_VERSION@
470ODE_VERSION_INFO = @ODE_VERSION_INFO@
471OTOOL = @OTOOL@
472OTOOL64 = @OTOOL64@
473PACKAGE = @PACKAGE@
474PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
475PACKAGE_NAME = @PACKAGE_NAME@
476PACKAGE_STRING = @PACKAGE_STRING@
477PACKAGE_TARNAME = @PACKAGE_TARNAME@
478PACKAGE_URL = @PACKAGE_URL@
479PACKAGE_VERSION = @PACKAGE_VERSION@
480PATH_SEPARATOR = @PATH_SEPARATOR@
481PKG_CONFIG = @PKG_CONFIG@
482PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
483PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
484RANLIB = @RANLIB@
485SED = @SED@
486SET_MAKE = @SET_MAKE@
487SHELL = @SHELL@
488STRIP = @STRIP@
489VERSION = @VERSION@
490WINDRES = @WINDRES@
491X11_CFLAGS = @X11_CFLAGS@
492X11_LIBS = @X11_LIBS@
493abs_builddir = @abs_builddir@
494abs_srcdir = @abs_srcdir@
495abs_top_builddir = @abs_top_builddir@
496abs_top_srcdir = @abs_top_srcdir@
497ac_ct_AR = @ac_ct_AR@
498ac_ct_CC = @ac_ct_CC@
499ac_ct_CXX = @ac_ct_CXX@
500ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
501ac_ct_WINDRES = @ac_ct_WINDRES@
502am__include = @am__include@
503am__leading_dot = @am__leading_dot@
504am__quote = @am__quote@
505am__tar = @am__tar@
506am__untar = @am__untar@
507bindir = @bindir@
508build = @build@
509build_alias = @build_alias@
510build_cpu = @build_cpu@
511build_os = @build_os@
512build_vendor = @build_vendor@
513builddir = @builddir@
514datadir = @datadir@
515datarootdir = @datarootdir@
516docdir = @docdir@
517dvidir = @dvidir@
518exec_prefix = @exec_prefix@
519host = @host@
520host_alias = @host_alias@
521host_cpu = @host_cpu@
522host_os = @host_os@
523host_vendor = @host_vendor@
524htmldir = @htmldir@
525includedir = @includedir@
526infodir = @infodir@
527install_sh = @install_sh@
528libdir = @libdir@
529libexecdir = @libexecdir@
530localedir = @localedir@
531localstatedir = @localstatedir@
532mandir = @mandir@
533mkdir_p = @mkdir_p@
534oldincludedir = @oldincludedir@
535pdfdir = @pdfdir@
536prefix = @prefix@
537program_transform_name = @program_transform_name@
538psdir = @psdir@
539sbindir = @sbindir@
540sharedstatedir = @sharedstatedir@
541srcdir = @srcdir@
542subdirs = @subdirs@
543sysconfdir = @sysconfdir@
544target_alias = @target_alias@
545top_build_prefix = @top_build_prefix@
546top_builddir = @top_builddir@
547top_srcdir = @top_srcdir@
548SUBDIRS = joints UnitTest++
549AM_CPPFLAGS = -I$(srcdir)/UnitTest++/src -I$(top_srcdir)/include \
550	-I$(top_builddir)/include -I$(top_srcdir)/ode/src \
551	$(am__append_1) $(am__append_2)
552tests_SOURCES = \
553                collision.cpp \
554                friction.cpp \
555                joint.cpp \
556                main.cpp \
557                odemath.cpp
558
559tests_LDADD = \
560    $(top_builddir)/ode/src/libode.la \
561    joints/libjoints.la \
562    UnitTest++/src/libunittestpp.la
563
564all: all-recursive
565
566.SUFFIXES:
567.SUFFIXES: .cpp .lo .log .o .obj .test .test$(EXEEXT) .trs
568$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
569	@for dep in $?; do \
570	  case '$(am__configure_deps)' in \
571	    *$$dep*) \
572	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
573	        && { if test -f $@; then exit 0; else break; fi; }; \
574	      exit 1;; \
575	  esac; \
576	done; \
577	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/Makefile'; \
578	$(am__cd) $(top_srcdir) && \
579	  $(AUTOMAKE) --foreign tests/Makefile
580.PRECIOUS: Makefile
581Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
582	@case '$?' in \
583	  *config.status*) \
584	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
585	  *) \
586	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
587	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
588	esac;
589
590$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
591	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
592
593$(top_srcdir)/configure:  $(am__configure_deps)
594	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
595$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
596	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
597$(am__aclocal_m4_deps):
598
599clean-checkPROGRAMS:
600	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
601	echo " rm -f" $$list; \
602	rm -f $$list || exit $$?; \
603	test -n "$(EXEEXT)" || exit 0; \
604	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
605	echo " rm -f" $$list; \
606	rm -f $$list
607
608tests$(EXEEXT): $(tests_OBJECTS) $(tests_DEPENDENCIES) $(EXTRA_tests_DEPENDENCIES)
609	@rm -f tests$(EXEEXT)
610	$(AM_V_CXXLD)$(CXXLINK) $(tests_OBJECTS) $(tests_LDADD) $(LIBS)
611
612mostlyclean-compile:
613	-rm -f *.$(OBJEXT)
614
615distclean-compile:
616	-rm -f *.tab.c
617
618@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision.Po@am__quote@
619@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/friction.Po@am__quote@
620@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/joint.Po@am__quote@
621@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@
622@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/odemath.Po@am__quote@
623
624.cpp.o:
625@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
626@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
627@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
628@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
629@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
630
631.cpp.obj:
632@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
633@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
634@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
635@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
636@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
637
638.cpp.lo:
639@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
640@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
641@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
642@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
643@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
644
645mostlyclean-libtool:
646	-rm -f *.lo
647
648clean-libtool:
649	-rm -rf .libs _libs
650
651# This directory's subdirectories are mostly independent; you can cd
652# into them and run 'make' without going through this Makefile.
653# To change the values of 'make' variables: instead of editing Makefiles,
654# (1) if the variable is set in 'config.status', edit 'config.status'
655#     (which will cause the Makefiles to be regenerated when you run 'make');
656# (2) otherwise, pass the desired values on the 'make' command line.
657$(am__recursive_targets):
658	@fail=; \
659	if $(am__make_keepgoing); then \
660	  failcom='fail=yes'; \
661	else \
662	  failcom='exit 1'; \
663	fi; \
664	dot_seen=no; \
665	target=`echo $@ | sed s/-recursive//`; \
666	case "$@" in \
667	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
668	  *) list='$(SUBDIRS)' ;; \
669	esac; \
670	for subdir in $$list; do \
671	  echo "Making $$target in $$subdir"; \
672	  if test "$$subdir" = "."; then \
673	    dot_seen=yes; \
674	    local_target="$$target-am"; \
675	  else \
676	    local_target="$$target"; \
677	  fi; \
678	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
679	  || eval $$failcom; \
680	done; \
681	if test "$$dot_seen" = "no"; then \
682	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
683	fi; test -z "$$fail"
684
685ID: $(am__tagged_files)
686	$(am__define_uniq_tagged_files); mkid -fID $$unique
687tags: tags-recursive
688TAGS: tags
689
690tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
691	set x; \
692	here=`pwd`; \
693	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
694	  include_option=--etags-include; \
695	  empty_fix=.; \
696	else \
697	  include_option=--include; \
698	  empty_fix=; \
699	fi; \
700	list='$(SUBDIRS)'; for subdir in $$list; do \
701	  if test "$$subdir" = .; then :; else \
702	    test ! -f $$subdir/TAGS || \
703	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
704	  fi; \
705	done; \
706	$(am__define_uniq_tagged_files); \
707	shift; \
708	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
709	  test -n "$$unique" || unique=$$empty_fix; \
710	  if test $$# -gt 0; then \
711	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
712	      "$$@" $$unique; \
713	  else \
714	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
715	      $$unique; \
716	  fi; \
717	fi
718ctags: ctags-recursive
719
720CTAGS: ctags
721ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
722	$(am__define_uniq_tagged_files); \
723	test -z "$(CTAGS_ARGS)$$unique" \
724	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
725	     $$unique
726
727GTAGS:
728	here=`$(am__cd) $(top_builddir) && pwd` \
729	  && $(am__cd) $(top_srcdir) \
730	  && gtags -i $(GTAGS_ARGS) "$$here"
731cscopelist: cscopelist-recursive
732
733cscopelist-am: $(am__tagged_files)
734	list='$(am__tagged_files)'; \
735	case "$(srcdir)" in \
736	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
737	  *) sdir=$(subdir)/$(srcdir) ;; \
738	esac; \
739	for i in $$list; do \
740	  if test -f "$$i"; then \
741	    echo "$(subdir)/$$i"; \
742	  else \
743	    echo "$$sdir/$$i"; \
744	  fi; \
745	done >> $(top_builddir)/cscope.files
746
747distclean-tags:
748	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
749
750# Recover from deleted '.trs' file; this should ensure that
751# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
752# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
753# to avoid problems with "make -n".
754.log.trs:
755	rm -f $< $@
756	$(MAKE) $(AM_MAKEFLAGS) $<
757
758# Leading 'am--fnord' is there to ensure the list of targets does not
759# expand to empty, as could happen e.g. with make check TESTS=''.
760am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
761am--force-recheck:
762	@:
763
764$(TEST_SUITE_LOG): $(TEST_LOGS)
765	@$(am__set_TESTS_bases); \
766	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
767	redo_bases=`for i in $$bases; do \
768	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
769	            done`; \
770	if test -n "$$redo_bases"; then \
771	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
772	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
773	  if $(am__make_dryrun); then :; else \
774	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
775	  fi; \
776	fi; \
777	if test -n "$$am__remaking_logs"; then \
778	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
779	       "recursion detected" >&2; \
780	else \
781	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
782	fi; \
783	if $(am__make_dryrun); then :; else \
784	  st=0;  \
785	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
786	  for i in $$redo_bases; do \
787	    test -f $$i.trs && test -r $$i.trs \
788	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
789	    test -f $$i.log && test -r $$i.log \
790	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
791	  done; \
792	  test $$st -eq 0 || exit 1; \
793	fi
794	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
795	ws='[ 	]'; \
796	results=`for b in $$bases; do echo $$b.trs; done`; \
797	test -n "$$results" || results=/dev/null; \
798	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
799	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
800	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
801	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
802	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
803	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
804	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
805	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
806	  success=true; \
807	else \
808	  success=false; \
809	fi; \
810	br='==================='; br=$$br$$br$$br$$br; \
811	result_count () \
812	{ \
813	    if test x"$$1" = x"--maybe-color"; then \
814	      maybe_colorize=yes; \
815	    elif test x"$$1" = x"--no-color"; then \
816	      maybe_colorize=no; \
817	    else \
818	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
819	    fi; \
820	    shift; \
821	    desc=$$1 count=$$2; \
822	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
823	      color_start=$$3 color_end=$$std; \
824	    else \
825	      color_start= color_end=; \
826	    fi; \
827	    echo "$${color_start}# $$desc $$count$${color_end}"; \
828	}; \
829	create_testsuite_report () \
830	{ \
831	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
832	  result_count $$1 "PASS: " $$pass  "$$grn"; \
833	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
834	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
835	  result_count $$1 "FAIL: " $$fail  "$$red"; \
836	  result_count $$1 "XPASS:" $$xpass "$$red"; \
837	  result_count $$1 "ERROR:" $$error "$$mgn"; \
838	}; \
839	{								\
840	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
841	    $(am__rst_title);						\
842	  create_testsuite_report --no-color;				\
843	  echo;								\
844	  echo ".. contents:: :depth: 2";				\
845	  echo;								\
846	  for b in $$bases; do echo $$b; done				\
847	    | $(am__create_global_log);					\
848	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
849	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
850	if $$success; then						\
851	  col="$$grn";							\
852	 else								\
853	  col="$$red";							\
854	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
855	fi;								\
856	echo "$${col}$$br$${std}"; 					\
857	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
858	echo "$${col}$$br$${std}"; 					\
859	create_testsuite_report --maybe-color;				\
860	echo "$$col$$br$$std";						\
861	if $$success; then :; else					\
862	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
863	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
864	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
865	  fi;								\
866	  echo "$$col$$br$$std";					\
867	fi;								\
868	$$success || exit 1
869
870check-TESTS:
871	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
872	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
873	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
874	@set +e; $(am__set_TESTS_bases); \
875	log_list=`for i in $$bases; do echo $$i.log; done`; \
876	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
877	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
878	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
879	exit $$?;
880recheck: all $(check_PROGRAMS)
881	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
882	@set +e; $(am__set_TESTS_bases); \
883	bases=`for i in $$bases; do echo $$i; done \
884	         | $(am__list_recheck_tests)` || exit 1; \
885	log_list=`for i in $$bases; do echo $$i.log; done`; \
886	log_list=`echo $$log_list`; \
887	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
888	        am__force_recheck=am--force-recheck \
889	        TEST_LOGS="$$log_list"; \
890	exit $$?
891tests.log: tests$(EXEEXT)
892	@p='tests$(EXEEXT)'; \
893	b='tests'; \
894	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
895	--log-file $$b.log --trs-file $$b.trs \
896	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
897	"$$tst" $(AM_TESTS_FD_REDIRECT)
898.test.log:
899	@p='$<'; \
900	$(am__set_b); \
901	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
902	--log-file $$b.log --trs-file $$b.trs \
903	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
904	"$$tst" $(AM_TESTS_FD_REDIRECT)
905@am__EXEEXT_TRUE@.test$(EXEEXT).log:
906@am__EXEEXT_TRUE@	@p='$<'; \
907@am__EXEEXT_TRUE@	$(am__set_b); \
908@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
909@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
910@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
911@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
912
913distdir: $(DISTFILES)
914	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
915	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
916	list='$(DISTFILES)'; \
917	  dist_files=`for file in $$list; do echo $$file; done | \
918	  sed -e "s|^$$srcdirstrip/||;t" \
919	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
920	case $$dist_files in \
921	  */*) $(MKDIR_P) `echo "$$dist_files" | \
922			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
923			   sort -u` ;; \
924	esac; \
925	for file in $$dist_files; do \
926	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
927	  if test -d $$d/$$file; then \
928	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
929	    if test -d "$(distdir)/$$file"; then \
930	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
931	    fi; \
932	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
933	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
934	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
935	    fi; \
936	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
937	  else \
938	    test -f "$(distdir)/$$file" \
939	    || cp -p $$d/$$file "$(distdir)/$$file" \
940	    || exit 1; \
941	  fi; \
942	done
943	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
944	  if test "$$subdir" = .; then :; else \
945	    $(am__make_dryrun) \
946	      || test -d "$(distdir)/$$subdir" \
947	      || $(MKDIR_P) "$(distdir)/$$subdir" \
948	      || exit 1; \
949	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
950	    $(am__relativize); \
951	    new_distdir=$$reldir; \
952	    dir1=$$subdir; dir2="$(top_distdir)"; \
953	    $(am__relativize); \
954	    new_top_distdir=$$reldir; \
955	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
956	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
957	    ($(am__cd) $$subdir && \
958	      $(MAKE) $(AM_MAKEFLAGS) \
959	        top_distdir="$$new_top_distdir" \
960	        distdir="$$new_distdir" \
961		am__remove_distdir=: \
962		am__skip_length_check=: \
963		am__skip_mode_fix=: \
964	        distdir) \
965	      || exit 1; \
966	  fi; \
967	done
968check-am: all-am
969	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
970	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
971check: check-recursive
972all-am: Makefile
973installdirs: installdirs-recursive
974installdirs-am:
975install: install-recursive
976install-exec: install-exec-recursive
977install-data: install-data-recursive
978uninstall: uninstall-recursive
979
980install-am: all-am
981	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
982
983installcheck: installcheck-recursive
984install-strip:
985	if test -z '$(STRIP)'; then \
986	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
987	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
988	      install; \
989	else \
990	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
991	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
992	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
993	fi
994mostlyclean-generic:
995	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
996	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
997	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
998
999clean-generic:
1000
1001distclean-generic:
1002	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1003	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1004
1005maintainer-clean-generic:
1006	@echo "This command is intended for maintainers to use"
1007	@echo "it deletes files that may require special tools to rebuild."
1008clean: clean-recursive
1009
1010clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1011	mostlyclean-am
1012
1013distclean: distclean-recursive
1014	-rm -rf ./$(DEPDIR)
1015	-rm -f Makefile
1016distclean-am: clean-am distclean-compile distclean-generic \
1017	distclean-tags
1018
1019dvi: dvi-recursive
1020
1021dvi-am:
1022
1023html: html-recursive
1024
1025html-am:
1026
1027info: info-recursive
1028
1029info-am:
1030
1031install-data-am:
1032
1033install-dvi: install-dvi-recursive
1034
1035install-dvi-am:
1036
1037install-exec-am:
1038
1039install-html: install-html-recursive
1040
1041install-html-am:
1042
1043install-info: install-info-recursive
1044
1045install-info-am:
1046
1047install-man:
1048
1049install-pdf: install-pdf-recursive
1050
1051install-pdf-am:
1052
1053install-ps: install-ps-recursive
1054
1055install-ps-am:
1056
1057installcheck-am:
1058
1059maintainer-clean: maintainer-clean-recursive
1060	-rm -rf ./$(DEPDIR)
1061	-rm -f Makefile
1062maintainer-clean-am: distclean-am maintainer-clean-generic
1063
1064mostlyclean: mostlyclean-recursive
1065
1066mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1067	mostlyclean-libtool
1068
1069pdf: pdf-recursive
1070
1071pdf-am:
1072
1073ps: ps-recursive
1074
1075ps-am:
1076
1077uninstall-am:
1078
1079.MAKE: $(am__recursive_targets) check-am install-am install-strip
1080
1081.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1082	check-TESTS check-am clean clean-checkPROGRAMS clean-generic \
1083	clean-libtool cscopelist-am ctags ctags-am distclean \
1084	distclean-compile distclean-generic distclean-libtool \
1085	distclean-tags distdir dvi dvi-am html html-am info info-am \
1086	install install-am install-data install-data-am install-dvi \
1087	install-dvi-am install-exec install-exec-am install-html \
1088	install-html-am install-info install-info-am install-man \
1089	install-pdf install-pdf-am install-ps install-ps-am \
1090	install-strip installcheck installcheck-am installdirs \
1091	installdirs-am maintainer-clean maintainer-clean-generic \
1092	mostlyclean mostlyclean-compile mostlyclean-generic \
1093	mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
1094	uninstall uninstall-am
1095
1096
1097# Tell versions [3.59,3.63) of GNU make to not export all variables.
1098# Otherwise a system limit (for SysV at least) may be exceeded.
1099.NOEXPORT:
1100